# hours.list

List your own time entries, optionally from and to dates.

`GET | POST /api/v1/contractor/hours.list`

Permissions: `contractor:read` · Roles: contractor

MCP tool: `contractor_hours_list`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `limit` | integer |  | How many results to return at most. 1 to 100. Default `30`. |
| `offset` | integer |  | How many results to skip, for the next page of a list. 0 to 9007199254740991. Default `0`. |
| `from` | string (date) |  | The first date to include, as YYYY-MM-DD. |
| `to` | string (date) |  | The last date to include, as YYYY-MM-DD. |

## Example request

```bash
curl https://app.getoatmilk.com/api/v1/contractor/hours.list \
  -H "Authorization: Bearer $OATMILK_OAUTH_TOKEN" \
  -H "X-Accounting-Organization: $OATMILK_ORGANIZATION_ID"
```

Reference page: https://app.getoatmilk.com/docs/api/contractor/hours.list
